Subject: Ticket Assigned - Article Feedback - When will I receive my order?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 22 May 2022 09:03:02 +0000

Hi Mohammed yahya,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - When will I receive my order? Feedback for:  When will I receive my order? Hi there , 
I keep receiving messages that the shipment is on delivery, but no one called me to receive the shipment at my door house !! As I always receive this message ::  
 
 Hi, we missed you! We were unable to deliver your order 8170774282 on 2022-05-21 21:56:41, reason: Future Date Delivery. We?ll make another delivery attempt soon. Click to give feedback https://tracking.fareye.co/tracking?gwC2z/eAu94r2lHk5peASZZdViGEN63sWGIlipDf4Fs=#/ Stay Happy! 
 
How is that is happening ??  
No one called me to receive the delivery , how I missed it ???????? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4386328